Bug 1415846 - Atomic install boot loader fails with btrfs option
Summary: Atomic install boot loader fails with btrfs option
Keywords:
Status: CLOSED DUPLICATE of bug 1289752
Alias: None
Product: Fedora
Classification: Fedora
Component: ostree
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 23:20 UTC by Alexander von Gluck IV
Modified: 2017-05-17 19:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:11:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander von Gluck IV 2017-01-23 23:20:57 UTC
Description of problem:
If a user selects a custom partitioning system and chooses 'btrfs' with the "automatic partitioning", the installation fails with "pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration"

Version-Release number of selected component (if applicable):
Fedora-Atomic-25-20170106

How reproducible:
Every time.  Attempted twice.

Steps to Reproduce:
1. Install Fedora 25 Atomic into a VM, 16GB  disk
2. Select custom partitioning
3. Select btrfs volume management
4. Click automatic partitioning

Actual results:
Error during installation

Expected results:
No error.

Comment 1 Lokesh Mandvekar 2017-01-24 04:21:15 UTC
moving this to the Atomic product ..

Comment 2 Colin Walters 2017-01-24 12:24:26 UTC
Hi Lokesh, we aren't using the separate "Atomic" product anymore.  Atomic Host *is* Fedora (or *is* CentOS/RHEL etc.)

This is a dup of some other bug I may try to find later when I have the patience to fight with bugzilla search.

Comment 3 Fedora End Of Life 2017-02-28 11:02:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Nathaniel McCallum 2017-05-17 19:11:03 UTC

*** This bug has been marked as a duplicate of bug 1289752 ***


Note You need to log in before you can comment on or make changes to this bug.